#pragma once
#include <render/integrator.h>

struct ParticleTracer2 : Integrator
{
    // forward rendering
    ArrayXd renderC(const Scene &scene, const RenderOptions &options) const override;
    // rendering gradient image
    ArrayXd renderD(SceneAD &sceneAD,
                    const RenderOptions &options, const ArrayXd &d_image) const override;
    bool is_equal_trans = false;
};